CFD Online Discussion Forums

CFD Online Discussion Forums (http://www.cfd-online.com/Forums/)
-   OpenFOAM Installation (http://www.cfd-online.com/Forums/openfoam-installation/)
-   -   Problem Starting FoamX (http://www.cfd-online.com/Forums/openfoam-installation/57685-problem-starting-foamx.html)

kumar2 January 31, 2006 21:54

Hello all I installed OpenF
 
Hello all

I installed OpenFOAM on my linux box. but while running FoamX I got the following error

ERROR
---------
nsd: /lib/i686/libc.so.6: version 'GLIBC_2.3' not found ( required by /home/kumar/OpenFOAM/linux/gcc-4.0.1/lib/libstdc++.so.6)

Thanks in advance
kumar

mattijs February 2, 2006 15:08

Your version of linux is perha
 
Your version of linux is perhaps to old for the precompiled version of OpenFOAM. Check the website which versions of linux work.

But since you also have all the sources you can just recompile the whole lot for your linux version.

- first get yourself a working gcc-4.0.1 version. (recompile from sources if nessecary)
- recompile OpenFOAM: go to the OpenFOAM-1.2/src directory and type 'Allwmake'


All times are GMT -4. The time now is 20:39.